<script setup lang="ts">
defineProps<{
    value: string | null
}>()
function formatWtc(wtc: string): string {
    switch (wtc.toUpperCase()) {
        case 'L': return 'Light'
        case 'M': return 'Medium'
        case 'H': return 'Heavy'
        case 'J': return 'Super'
        default:  return wtc
    }
}
</script>

<template>
{{formatWtc(value ?? '')}}
</template>

<style scoped>

</style>
